Foreman - Feature #26852

Add mountpoint and partition exclude fact patterns
05/22/2019 08:07 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Facts
Target version: 1.23.0
Difficulty: Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases:
Bugzilla link: 1718009 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6789
Description

Multiple customers and an upstream user reported severe performance issues with whole deployment thank to hosts with
hundreds/thousands of blockdevies and/or hosts with containers which report many blockdevices and/or mountpoints and partitions.
We already do this for NICs (e.g. veth - containers and OpenStack hosts) however it looks like there are different naming
conventions container users use for mountpoints, therefore the exclude pattern needs to be generic.

Related issues:
Related to Foreman - Feature #26984: Add a hard limit of 100 items to restric... Closed
Related to Foreman - Bug #16818: nested facts can lead to invalid links Closed

Associated revisions

Revision c05f1ac9 - 06/13/2019 11:59 AM - Lukas Zapletal
Fixes #26852 - add disks exclude fact patterns

History

#1 - 05/22/2019 08:08 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6789 added

#2 - 06/07/2019 09:52 AM - Lukas Zapletal
- Bugzilla link set to 1718009

#3 - 06/07/2019 09:54 AM - Lukas Zapletal
- Related to Feature #26984: Add a hard limit of 100 items to restrict any fact child-hash/array
added

#4 - 06/10/2019 02:18 PM - Lukas Zapletal
- Subject changed from Add mountpoints, partitions, blockdevice* to the list of excluded facts to Add mountpoint and partition exclude fact patterns

- Triaged changed from No to Yes

Not adding disks, they will be filtered out by the associated issue.

#5 - 06/13/2019 11:59 AM - Ewoud Kohl van Wijngaarden
- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added

#6 - 06/13/2019 12:01 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset c05f1ac97f6800a6a05e22a7b62137¢595c649f1.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c05f1ac97f6800a6a05e22a7b62137c595c649f1

#7 - 08/02/2019 08:32 AM - Marek Hulan
- Related to Bug #16818: nested facts can lead to invalid links added
